Get Record By Id
Allows you to get a Standard Object like business and custom object record by Id
GET
/
objects
/
{schemaKey}
/
records
/
{id}
Get Record By Id
curl --request GET \
--url https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"record": {
"id": "661c06b4ffde146bdb469442",
"owner": [
"sx6wyHhbFdRXh302Lunr"
],
"followers": [
"sx6wyHhbFdRXh302Lunr",
"v5cEPM428h8vShlRW1KT"
],
"properties": {
"customer_number": 1424,
"ticket_name": "Customer not able login",
"phone_number": "+917000000000",
"money": {
"currency": "default",
"value": 100
},
"type_of_ticket": "doubt",
"section_of_app": [
"contacts",
"smartlist"
],
"recieved_on": "2024-07-11",
"my_files": [
{
"url": "---url_of_file---"
}
],
"my_textbox_list.option_a": "Value 1",
"my_textbox_list.option_b": "Value 2"
},
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Path Parameters
The key of the Custom Object / Standard Object Schema. For custom objects, the key must include the “custom_objects.” prefix, while standard objects use their respective object keys. This information is available on the Custom Objects Details page under Settings.
Example:
"custom_objects.pet or business.email (for company's email)"
Last modified on March 8, 2026
Was this page helpful?
Get Record By Id
curl --request GET \
--url https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"record": {
"id": "661c06b4ffde146bdb469442",
"owner": [
"sx6wyHhbFdRXh302Lunr"
],
"followers": [
"sx6wyHhbFdRXh302Lunr",
"v5cEPM428h8vShlRW1KT"
],
"properties": {
"customer_number": 1424,
"ticket_name": "Customer not able login",
"phone_number": "+917000000000",
"money": {
"currency": "default",
"value": 100
},
"type_of_ticket": "doubt",
"section_of_app": [
"contacts",
"smartlist"
],
"recieved_on": "2024-07-11",
"my_files": [
{
"url": "---url_of_file---"
}
],
"my_textbox_list.option_a": "Value 1",
"my_textbox_list.option_b": "Value 2"
},
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}